
Redmine - Patch #28662

Replace "Cancel" buttons from the modals with "Cancel" link

2018-04-30 11:05 - Marius BĂLTEANU

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 4.0.0   

Description

In the current UI, the main action for a form is represented by a button element (eg: Create, Create and continue, Add, etc) and the

"Cancel" action is represented by a link. This is a very useful because the main action should be more evident for an user.

In the modals (Export to CSV, Add watchers, Add members), both actions (main and cancel) are represented by a button and this is

confusing. The attached patch replaces all the cancel buttons from the modals with the same "Cancel" link used in the rest of the

app.

Associated revisions

Revision 17677 - 2018-12-02 07:24 - Go MAEDA

Replace cancel button with cancel link in modals (#28662).

Patch by Marius BALTEANU.

History

#1 - 2018-04-30 11:10 - Marius BĂLTEANU

- File current.png added

- File after.png added

Current UI:

 
current.png 

After applying this patch:
after.png 

#2 - 2018-05-13 02:09 - Go MAEDA

- Target version set to 4.1.0

#3 - 2018-10-31 01:40 - Go MAEDA

- File patch-29848-v2.patch added

Updated the patch for the current trunk (r17612).

$ patch -p1 < 0001-replace-Cancel-button-in-the-modals-with-a-Cancel-li.patch

patching file app/views/groups/_new_users_modal.html.erb

patching file app/views/issue_categories/_new_modal.html.erb

patching file app/views/issues/index.html.erb

Hunk #1 FAILED at 45.

1 out of 1 hunk FAILED -- saving rejects to file app/views/issues/index.html.erb.rej

patching file app/views/members/_new_modal.html.erb

patching file app/views/principal_memberships/_new_modal.html.erb

patching file app/views/sudo_mode/_new_modal.html.erb

patching file app/views/timelog/index.html.erb

Hunk #1 FAILED at 33.

1 out of 1 hunk FAILED -- saving rejects to file app/views/timelog/index.html.erb.rej

patching file app/views/versions/_new_modal.html.erb

patching file app/views/watchers/_new.html.erb

patching file app/views/wiki/_new_modal.html.erb

Hunk #1 succeeded at 24 (offset 8 lines).

#4 - 2018-10-31 10:11 - Marius BĂLTEANU

Go MAEDA wrote:

Updated the patch for the current trunk (r17612).

[...]

 Please note that the updated patch includes some changes that are already committed. Please let me know if you want to update the patch for you.

#5 - 2018-11-10 08:42 - Marius BĂLTEANU

- File deleted (0001-replace-Cancel-button-in-the-modals-with-a-Cancel-li.patch)

#6 - 2018-11-10 08:42 - Marius BĂLTEANU

- File deleted (patch-29848-v2.patch)

#7 - 2018-11-10 08:43 - Marius BĂLTEANU

- File 0001-Replace-cancel-button-with-cancel-link-in-modals.patch added

@Go Maeda, I've removed from your updated patch some unnecessary changes.

#8 - 2018-12-02 07:25 - Go MAEDA
https://www.redmine.org/projects/redmine/repository/svn/revisions/17612
https://www.redmine.org/projects/redmine/repository/svn/revisions/17612


- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version changed from 4.1.0 to 4.0.0

Committed the patch. Thank you for your contribution.
